{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    utils.url = "github:numtide/flake-utils";
  };

  outputs =
    { nixpkgs, utils, ... }:
    utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = import nixpkgs { inherit system; };
        inherit (pkgs) mkShell;
      in
      {
        devShell = mkShell {
          buildInputs = with pkgs; [
            nodejs
            tokei
          ];
        };

        NPM_CONFIG_REGISTRY = "https://registry.npmmirror.com";
      }
    );
}
