import { useState } from 'react'
import { View, Text, Icon } from '@tarojs/components'
import Taro, { useLoad, navigateTo } from '@tarojs/taro'
import './index.less'


type wifiInfo = Pick<Taro.connectWifi.Option, 'SSID'| 'password'>

export default function ConnectWifi () {
  const [wifiInfo, setWifiInfo] = useState({} as wifiInfo)

  useLoad((options) => {
    try{
      const scene = JSON.parse(decodeURIComponent(options.scene)) as wifiInfo
      setWifiInfo(scene)
    } catch (e) {
      console.log(e)
    }

    Taro.connectWifi({
      ...wifiInfo, maunal: true
    }).then(()=>{
      navigateTo({
        url:'pages/success/index'
      })
    }).catch((e) => {
      console.log(e)
    })
  })

  return (
    <View className='connect-wifi'>
      <Icon size={60} type='waiting' />
      <Text>你将连接到 {wifiInfo.SSID || 'WIFI'}</Text>
      <Text className='small-text'>将跳转至系统设置页面连接 WIFI</Text>
    </View>
  )
}
